﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Animation;

namespace WrapperPatternExample.Samples
{
	/// <summary>
	/// Interaction logic for ElementHidderWrapperSample.xaml
	/// </summary>
	public partial class ElementHidderWrapperSample : UserControl
	{
		public ElementHidderWrapperSample()
		{
			InitializeComponent();
		}


		private void CheckBox_Click(object sender, RoutedEventArgs e)
		{
			CheckBox checkBox = (CheckBox)sender;
			Storyboard storyBoard = new Storyboard();
			DoubleAnimation showAnimation = new DoubleAnimation();
			Storyboard.SetTarget(showAnimation, hidder);
			Storyboard.SetTargetProperty(showAnimation, new PropertyPath("Show"));
			showAnimation.Duration = new Duration(new TimeSpan(0, 0, 0, 0, 400));
			showAnimation.To = checkBox.IsChecked.Value ? 1.0 : 0.0;
			storyBoard.Children.Add(showAnimation);
			storyBoard.Begin();
		}
	}
}
