﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace WrapperPatternExample.Utils
{
	public static class Helper
	{
		public static PropertyMetadata CreateMetadata(object defaultValue)
		{
#if SILVERLIGHT
			return new PropertyMetadata(defaultValue);
#else
			return new UIPropertyMetadata(defaultValue);
#endif

		}

		public static PropertyMetadata CreateMetadata(object defaultValue, PropertyChangedCallback callback)
		{
#if SILVERLIGHT
			return new PropertyMetadata(defaultValue, callback);
#else
			return new UIPropertyMetadata(defaultValue, callback);
#endif

		}
	}
}
