﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WrapperPatternExample.Samples;

namespace WrapperPatternExample.Utils
{
	public class SampleViewModel
	{
		public static IEnumerable<SampleViewModel> CreateSamples()
		{
			yield return new SampleViewModel()
			{
				Title = "Size Changed",
				Content = new SizeWrapperSample()
			};
			yield return new SampleViewModel()
			{
				Title = "Element hidder",
				Content = new ElementHidderWrapperSample()
			};
		}
		public String Title
		{
			get;
			set;
		}
		public Object Content
		{
			get;
			set;
		}
	}
}
